String.prototype.trim = function() {
	return this.replace(/^\s+|\s+$/g,"");
}
//
function AV(c){
	if(c==-1){
		return 0;
	}else{
		return 1;
	}
}
//
function EXT_PER(file_name,extensiones){
	file_name=file_name.toUpperCase();
	extensiones=extensiones.toUpperCase();
	var e=extensiones.split(",");
	var ext="";
	for(i=0;i<e.length;i++){
		ext=e[i];
		if(AV(file_name.indexOf(ext))==1){
			return true;
		}
	}
	return false;
}
//++
function fxValidar(){
	var ven_kod=gv("VEN_KOD");
	var adj_xml=gv("AdjXml");
	var adj_cdr=gv("AdjCdr");
	if(jVal(ven_kod)==0){
		alert("No se puede determinar la venta correspondiente");
		return;
	}
	if(jL(adj_xml)==0){
		alert("Seleccione el archivo zip correspondiente al XML");
		return;
	}
	if(jL(adj_cdr)==0){
		alert("Seleccione el archivo zip correspondiente al CDR");
		return;
	}
	if(!EXT_PER(adj_xml,"ZIP")){
		return AF("El archivo seleccionado debe .zip","AdjXml");
	}
	if(!EXT_PER(adj_cdr,"ZIP")){
		return AF("El archivo seleccionado debe .zip","AdjCdr");
	}
	document.getElementById("CmdVal").disabled=true;
	SM("G");
}
